"use strict";
exports.__esModule = true;
exports.withDefaultGetters = exports.defaultGetItemRightSide = exports.defaultGetItemContent = exports.defaultGetItemLabel = void 0;
var tslib_1 = require("tslib");
var defaultGetItemLabel = function (item) { return item.label; };
exports.defaultGetItemLabel = defaultGetItemLabel;
var defaultGetItemContent = function (item) {
    return item.content;
};
exports.defaultGetItemContent = defaultGetItemContent;
var defaultGetItemRightSide = function (item) {
    return item.rightSide;
};
exports.defaultGetItemRightSide = defaultGetItemRightSide;
function withDefaultGetters(props) {
    return (0, tslib_1.__assign)((0, tslib_1.__assign)({}, props), { getItemLabel: props.getItemLabel || exports.defaultGetItemLabel, getItemContent: props.getItemContent || exports.defaultGetItemContent, getItemRightSide: props.getItemRightSide || exports.defaultGetItemRightSide });
}
exports.withDefaultGetters = withDefaultGetters;
